//
//	Sci group
//
void SciInit(void);
void SciGets(UINT8 *Buffer, UINT16 Length, UINT8 echo);
void SciPuts(UINT8 *);
void SciPutc(UINT8);
UINT8 SciSense(void);
void SciTxStart(void);
UINT8	SciGetc(void);
void PutHex2(UINT8);
void PutHex4(UINT16);
UINT8 GetHex1(UINT8 *ptr);
UINT8 GetHex2(UINT8 *ptr);
UINT16 GetHex4(UINT8 *ptr);
void SciSpace(void);
void SciCrlf(void);
void PutDec2(UINT8 val);
void RxEnable(void);
void RxDisable(void);

//
//	Init group
//
void BufCopy(UINT8 *dest, UINT8 *src, UINT16 size);
void MemClear(UINT8 *mem, UINT16 size);
void UseExternalClock(void);
void UseInternalClock(void);
void CpuInit(void);

//
//	Modem group
//
void drv_write_spi_1(UINT8, UINT16);
UINT16 drv_read_spi_1(UINT8);

void DeAssertRTXEN(void);
void AssertRTXEN(void);

void SetClockRate(UINT8);
void SetFreq(UINT8);
void TimerPrescale(UINT8);
void SetTimerValue(UINT32);
void EnableTimer1(UINT32);
void DisableTimer1(void);
void StateRequest(UINT8);
void SendData(void);
void StartTransmit(void);
void StartRecieve(UINT32);
void AbortRecieve(void);
void GetPacketBuffer(void);
void SetPacketBuffer(void);
void SetTestMode(UINT8);
void ModemInit(void);
void DataIndication(void);
void PowerAdjust(UINT8 power);
void SetFreq(UINT8 freq);
void AbortReceive(void);
UINT32 GetTimeRequest(void);
void ModemInit(void);

void ArriveIndication(void);	// Packet arrival notification callback
void DataIndication(void);	// Packet arrival notification callback

//
//  Flash group
//
void FlashInit(void);
void FlashBlockRead(UINT16 bank, UINT8 offset, UINT8 *buffer, UINT16 size);
UINT8 FlashRead(UINT16 bank, UINT8 offset);
void FlashWrite(UINT16 bank, UINT8 offset, UINT8 *buffer, UINT16 size);
void FlashErase(UINT8 bank);
void FlashWait(void);
UINT8 FlashGetStatus(void);

//
//	NVM block
//
void FlashInit(void);
void FlashBlockRead(UINT16 bank, UINT8 offset, UINT8 *buffer, UINT16 size);
UINT8 FlashRead(UINT16 bank, UINT8 offset);
void FlashWrite(UINT16 bank, UINT8 offset, UINT8 *buffer, UINT16 size);
void FlashErase(UINT8 bank);
void FlashWait(void);
UINT8 FlashGetStatus(void);

//
//	NVM block
//
UINT8 NvmErase(UINT8 *ad);
UINT8 NvmWrite(UINT8 *ad, UINT8 *src, UINT16 size);
void WriteSrecord(UINT8 *Buf);
